<p>
  This doesn't do anything yet, but I wanted to demonstrate the concept. You, a
  (presumably) reputable figure in the BCH community:
</p>
<ol>
  <li>
    Is sent a project file by somone looking to have their product audited that
    you import into this or a similar tool.
  </li>
  <li>
    You can then review the CashScript code (easier to audit than CashASM) and
    the generation parameters for maliciousness, errors, etc.
  </li>
  <li>
    You can then, if all looks good, click this sign button which generates the
    template, minimized it and hashes it.
  </li>
  <li>
    You are then prompted by WalletConnect to sign this hash which you can then
    upload to some kind of "trusted templates repository".
  </li>
  <li>
    This repository might take the following form:
    <pre>
    {
      'aPersonsPublicKey': {
        'hashOfSomeTemplate': 'theHashSignedWithThePrivKey'
        'hashOfSomeOtherTemplate': 'theHashSignedWithThePrivKey'
      }
      // ... other people's public keys
    }
    </pre>
  </li>
  <li>
    Wallets can then whitelist certain identities (e.g. their own + some
    otheres) and a "star rating" can be given for a template based on how many
    of the wallet's whitelisted (trusted) identities have vouched for the
    template.
  </li>
</ol>
